----------------------------------------------------------------------------------------------------
-- Entry point of FS22_NoLease mod
--
-- Copyright (c) Willow, 2023
----------------------------------------------------------------------------------------------------
nolease = {}
nolease.name = "nolease"

function nolease:loadMap()
    print('Shop: We no longer offer leasing.')

    -- override lease button callback of shop menu
    ShopConfigScreen.updateButtons = Utils.prependedFunction(ShopConfigScreen.updateButtons, nolease.updateButtons)
end

-- prevent leasing in shop
function nolease:updateButtons(storeItem, vehicle, saleItem)
	storeItem.allowLeasing = false
end

-- return false to disable overwritten function
function nolease:disableFunction()
    return false
end

addModEventListener(nolease)
